<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateProductTable extends Migration {

	public function up()
	{
		Schema::create('product', function(Blueprint $table) {
			$table->increments('products_id')->primary();
			$table->integer('products_quantity');
			$table->string('products_model', 255)->index();
			$table->string('products_image', 255)->nullable();
			$table->decimal('products_price', 15,4);
			$table->datetime('products_date_available');
			$table->decimal('products_weight', 5,2);
			$table->tinyInteger('products_status')->default('1');
			$table->integer('products_tax_class_id');
			$table->integer('manufacturers_id')->default('NULL');
			$table->integer('products_ordered')->default('0');
			$table->char('products_gtin');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('product');
	}
}